%define major 15
%define libname %mklibname xklavier %major
%define develname %mklibname -d xklavier
%define staticname %mklibname -s -d xklavier
Name:		libxklavier
Summary:	X Keyboard support library
Version:	4.0
Release:	%mkrel 1
License:	LGPLv2+
Group:		System/Libraries
Url:		http://gswitchit.sourceforge.net/
BuildRequires:	libxml2-devel
BuildRequires:	doxygen
BuildRequires:	libxkbfile-devel
BuildRequires:	glib2-devel
BuildRequires:	gtk-doc
BuildRequires:	automake1.9
BuildRequires:	gettext-devel
BuildRequires:	iso-codes
Source: http://ftp.gnome.org/pub/GNOME/sources/%name/%{name}-%{version}.tar.bz2
#Source0:	http://prdownloads.sourceforge.net/gswitchit/%{name}-%{version}.tar.bz2
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-root

%description
This library allows you simplify XKB-related development.


%package -n %libname
Summary:	X Keyboard support library
Group:		System/Libraries
Requires: iso-codes

%description -n %libname
This library allows you simplify XKB-related development.

%package -n %develname
Summary: Libraries, includes, etc to develop libxklavier applications
Group: Development/C
Requires: %{libname} = %{version}
Provides: %name-devel = %version-%release
Conflicts: %{_lib}xklavier8-devel
Obsoletes: %mklibname -d xklavier 11

%description  -n %develname
Libraries, include files, etc you can use to develop libxklavier
applications.

%package -n %staticname
Group: Development/C
Summary: Static library of %name
Requires: %develname = %version
Provides: %{name}-static-devel = %{version}-%{release}
Obsoletes: %mklibname -s -d xklavier 11

%description -n %staticname
This package contains the static library required for statically
linking applications based on %{name}.

%prep
%setup -q

%build
if [ ! -f configure ]; then
    CFLAGS="$RPM_OPT_FLAGS" ./autogen.sh
fi
%configure2_5x --enable-doxygen --with-xkb-base=%_datadir/X11/xkb/ --with-xkb-bin-base=%_bindir/ --enable-xmm-support
%make 

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf %{buildroot}


%if %mdkversion < 200900
%post -n %libname -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %libname -p /sbin/ldconfig
%endif


%files -n %libname
%defattr(-, root, root)
%doc AUTHORS ChangeLog NEWS README COPYING.LIB 
%{_libdir}/lib*.so.%{major}*

%files -n %develname
%defattr(-, root, root)
%{_libdir}/pkgconfig/*.pc
%attr(644,root,root) %{_libdir}/*.la
%{_libdir}/*.so
%{_includedir}/*
%_datadir/gtk-doc/html/libxklavier/

%files -n %staticname
%defattr(-, root, root)
%{_libdir}/*.a




%changelog
* Mon Jun 29 2009 Götz Waschk <waschk@mandriva.org> 4.0-1mdv2010.0
+ Revision: 390455
- new version
- new major
- drop patches

* Thu Mar 19 2009 Götz Waschk <waschk@mandriva.org> 3.9-1mdv2009.1
+ Revision: 357660
- new version
- fix format strings
- fix source URL

* Mon Nov 24 2008 Funda Wang <fundawang@mandriva.org> 3.8-1mdv2009.1
+ Revision: 306125
- new version 3.8

* Sat Sep 06 2008 Götz Waschk <waschk@mandriva.org> 3.7-1mdv2009.0
+ Revision: 281911
- new version
- update license
- add dep on iso-codes
- new version

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue Mar 11 2008 Frederic Crozat <fcrozat@mandriva.com> 3.5-2mdv2008.1
+ Revision: 186124
- Do not obsolete libxklavier-data, it is causing one big transaction in urpmi

* Mon Mar 10 2008 Götz Waschk <waschk@mandriva.org> 3.5-1mdv2008.1
+ Revision: 183933
- new version
- drop the data package

* Thu Jan 31 2008 Götz Waschk <waschk@mandriva.org> 3.4-1mdv2008.1
+ Revision: 160625
- new version
- new major

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Sep 05 2007 Götz Waschk <waschk@mandriva.org> 3.3-1mdv2008.0
+ Revision: 80000
- new version
- new devel name


* Wed Mar 28 2007 Frederic Crozat <fcrozat@mandriva.com> 3.2-1mdv2007.1
+ Revision: 149103
- Release 3.2 (fix incorrect group settings)
- Remove patch0 (fixed differently upstream)

* Thu Mar 15 2007 Frederic Crozat <fcrozat@mandriva.com> 3.1-3mdv2007.1
+ Revision: 144444
- Patch1 (Debian): fix bad realloc usage

* Thu Dec 07 2006 Götz Waschk <waschk@mandriva.org> 3.1-2mdv2007.1
+ Revision: 91920
- patch for bug #27504
- fix buildrequires

* Wed Nov 29 2006 Götz Waschk <waschk@mandriva.org> 3.1-1mdv2007.1
+ Revision: 88718
- Import libxklavier

* Wed Nov 29 2006 Götz Waschk <waschk@mandriva.org> 3.1-1mdv2007.1
- New version 3.1

* Thu Aug 31 2006 Frederic Crozat <fcrozat@mandriva.com> 3.0-1mdv2007.0
- Release 3.0

* Sun Jul 02 2006 Guillaume Bedot <littletux@mandriva.org> 2.91-3mdv2007.0
- fix xkb-bin-base

* Sun Jun 04 2006 Gtz Waschk <waschk@mandriva.org> 2.91-2mdv2007.0
- fix xkb prefix
- fix buildrequires

* Fri Jun 02 2006 Frederic Crozat <fcrozat@mandriva.com> 2.91-1mdv2007.0
- Release 2.91
- Remove patch0

* Wed Mar 15 2006 Götz Waschk <waschk@mandriva.org> 2.2-1mdk
- New release 2.2

* Wed Jan 04 2006 Götz Waschk <waschk@mandriva.org> 2.1-1mdk
- New release 2.1
- use mkrel

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 2.0-6mdk
- Rebuild

* Thu Aug 25 2005 Frederic Crozat <fcrozat@mandriva.com> 2.0-5mdk 
- Rebuild with gtk+ 2.8

* Sun May 22 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.0-4mdk
- add BuildRequires: gettext-devel

* Fri May 20 2005 Gtz Waschk <waschk@mandriva.org> 2.0-3mdk
- fix build with gcc4

* Sat Apr 23 2005 Frederic Crozat <fcrozat@mandriva.com> 2.0-2mdk 
- Add conflicts to ease update

* Thu Apr 21 2005 Frederic Crozat <fcrozat@mandriva.com> 2.0-1mdk 
- Release 2.0 (from Gtz Waschk package)
- enable xmodmap support
- Remove patches 0, 1 (merged upstream)

* Tue Feb 08 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.04-2mdk 
- Patch0 (Gentoo): fix double free (Mdk bug #13445)

* Tue Oct 26 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.04-1mdk
- New release 1.04

* Tue Sep 21 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.03-2mdk
- lib64 & 64-bit fixes
- provides libxklavier-static-devel

* Fri Jul 09 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.03-1mdk
- use installed docs
- reenable libtoolize
- fix source URL
- New release 1.03

* Thu Apr 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.02-1mdk
- fix buildrequires
- new version

* Tue Apr 13 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.01-1mdk
- new version

* Sat Apr 03 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.00-1mdk
- new version

